package net.sf.sido.factory.sido.antlr;

import java.util.ArrayList;
import java.util.List;

public class StdErrorReporter implements IErrorReporter {
	
	private final List<String> errors = new ArrayList<String>();

	@Override
	public void reportError(String error) {
		errors.add(error);
	}
	
	public boolean hasErrors() {
		return !errors.isEmpty();
	}
	
	public List<String> getErrors() {
		return errors;
	}

}
